> For the complete documentation index, see [llms.txt](https://docs.avidml.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.avidml.org/developer-tools/python-sdk/integrations/modsysml-apollo.md).

# ModsysML (Apollo)

Maintained by [Apollo](https://www.apolloapi.io/), [ModsysML](https://modsys.vercel.app/) is an open-source model management toolkit for continuous model improvement. It helps generative AI developers evaluate and compare LLM outputs, test quality, as well as catch regressions and automate their evaluations.

The [`modsys.connectors.avid`](https://github.com/modsysML/modsysML/tree/main/modsys/connectors/avid) module generates AVID reports from LLM evaluation runs performed by ModsysML. To do so, you need information of the model to be evaluated,  a text-based summary of the outcomes, details of the evaluation outcomes dataset (description, link to its location in your local/cloud storage), and finally a path to save the report.

Here is a minimal example of the above, for an evaluation done on `gpt-3.5-turbo` by OpenAI.

```python
# Source: https://github.com/modsysML/modsysML/blob/main/modsys/connectors/avid/cloud.py
from modsys.connectors.avid.cloud import AVIDProvider

AVIDProvider().create_report(
    provider_name = 'openai',
    provider_model = 'gpt-3.5-turbo',
    dataset_name = 'eval_data',
    dataset_link - 's3://your/bucket/eval_data.csv',
    summary = '',
    path_to_save_report = '/path/to/report/eval_report.json'
)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.avidml.org/developer-tools/python-sdk/integrations/modsysml-apollo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
